#ifndef XD3DRESOURCE_H
#define XD3DRESOURCE_H

#include "xasset.h"

class XD3DResource : public XAsset
{
public:
    XD3DResource();
    ~XD3DResource();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    unsigned int mCommon;
    unsigned int mReferenceCount;
    unsigned int mFence;
    unsigned int mReadFence;
    unsigned int mIdentifier;
    unsigned int mBaseFlush;
};


#endif // XD3DRESOURCE_H
